﻿/* HLAVNI MENU  02 */

nav.hlavni_menu02 {
  position: absolute;
  top: 15px;
  left: 50%;
  transform: translateX(-50%);
  display: inline-block;
  z-index: 999;
  border: 2px solid #EBECF1;
  border-radius: 30px;
  animation: slide-in 1s ease-out;
  font-family: "Comic Sans MS", "Arial", sans-serif;
  font-size:13pt;
  a {color:red;  font-weight: normal;}
}

nav.hlavni_menu02 ul {
  position: relative;
  display: flex;
  flex: 1 1 auto;
  margin: 0;
  padding: 0 30px;
  list-style-type: none;
  li:not(:last-child) {
  margin-right: 40px;
  }
  li {
    font-size:13pt;
    border: 2px solid transparent;
    border-radius: 5px;
    padding: 10px;
    transition: background 0.2s;
	text-transform: uppercase;
        text-decoration: none;
        color: black;
    a {
      font-weight: normal;
      color: red;           /* barva základní nabídky - bez rozvinutého menu */
      text-decoration: none;
      text-transform: uppercase;
      transition: color 0.2s;
      font-size:13pt;
    }
    ul {
      visibility: hidden;
      opacity: 0;
      position: absolute;
      display: block;
      margin: 12px -12px;
      padding: 0;
      background: #FFA91B;
      border: 2px solid #F7C833;
      border-right: 2px solid #F89329;
      border-bottom: 2px solid #F89329;
      border-radius: 5px;
      transition: opacity 0.2s, visibility 0.2s;
      li {
        margin: -2px 0 0 -2px;
        width: calc(100% - 20px);
        line-height: 1.7;
        a {
          color: #2375D8;
        }
      }
    }
    &:hover {
      background: #EC4138;
      border: 2px solid #F05749;
      border-right: 2px solid #E02A21;
      border-bottom: 2px solid #E02A21;
      a {
        color: #F9F8FD;
      }
      ul {
        visibility: visible;
        opacity: 1;
        box-shadow: 0px 3px 5px 2px #EBECF1;
        li {
          a {
            color: #F9F8FD;
          }
        }
      }
    }
  }
}

@keyframes slide-in {
  0% {
    top: -50px;
  }
  40% {
    top: 20px;
  }
  70% {
    top: 10px;
  }
  100% {
    top: 15px;
  }
}
 
/* šedé neaktivní pole menu */
  nav .neactive {background: #F0F0F0; color: black;} 

 .logo-kimm {display: none;}

/*  skrýt menu při tisku */
@media print
    {
	   nav.hlavni_menu02  {display: none;}
	  .logo-kimm {display: inline;}
    }


BODY
   {
	font-size: 13pt;
	font-family: Arial; 
	color : #0A0A0A;
	background-color: #FFFFFF;
   }



.nadpis-cerveny
    {
	 border: 2px solid gray;
	 background-image: linear-gradient(to right, rgb(247,199,199), rgb(247,229,189) );
	 padding: 5px;
	 padding-left: 35px;
	 margin-top: 25px;
	 border-radius: 15px;
	 font-weight: bold;
	 text-align: center;
	 text-shadow: 2px 2px lightgray;
    }


  .form-menu input[type=submit], .form-menu A         /* potvrzovaci tlacitko ve formulari */ 
	   {
	     padding: 6px 12px;
	     background-color: #22E907;
	     border: 1px solid #ddd;
	     color: white;
	     font-size:13pt;
	  }

  .form-menu input[type=submit]:hover,  .form-menu A:hover    /* potvrzovaci tlacitko ve formulari - zmena barvy po najeti mysi */ 
	  {
	     background-color:  #FC7070;
	  }

  .form-menu input[type="checkbox"]   /* styl za krt vac ho pole */
	 {
  	     accent-color:  #22E907;
	 }

  .form-menu input[type="checkbox"]:hover   /* styl za krt vac ho pole */
	 {
  	     accent-color:  #FC7070;
	 }
  .form-menu .koment-text
	 {
 	     font-size:12pt;
	     background-color:  #CCF9FF;
	     width: 170px;
	     text-align: center;
	 }



/*  ANIMACE ------------------------------------------------------------------------------------- */

  /* prijezd textu z prave strany */
  .animation-slide
   {
	  animation-duration: 1.5s;
	  animation-name: slidein;
	  animation-iteration-count: 1;
	  animation-direction: alternate;
   }

@keyframes slidein {
  from {
    margin-left: 100%;
    width: 300%;
  }

  to {
    margin-left: 0%;
    width: 100%;
  }
}

   /* otocka po X ose */
.animation-rot, .nadpis-cerveny, .nadpis-modry
   {
	  animation-duration: 1s;
	  animation-name: rotation;
	  animation-iteration-count: 1;
	  animation-direction: alternate;
   }

@keyframes rotation {
  from {transform: rotateX(3.142rad);}
  to {	transform: rotateX(0); }
}


   /* zesvetleni objektu */
.animation-zesvetleni, .tabulka
   {
	  animation-duration: 2s;
	  animation-name: zesvetleni;
	  animation-iteration-count: 1;
	  animation-direction: alternate;
   }

@keyframes zesvetleni {
  from {opacity: 0;}
  to {opacity: 1;}
}


   /* roztahnuti grafu objektu */
.animation-graf
   {
	  animation-duration: 2s;
	  animation-name: graf-roztahnuti;
	  animation-iteration-count: 1;
	  animation-direction: alternate;
   }

@keyframes graf-roztahnuti {
  from {width: 0%; }
  to {	width: 800px; }
}



   /* styl menu, který se zobrazuje až po najetí myší */
   .podmenu
      {
         position: relative;			 /* puvodne relative */
         display: block;  			 /* puvdone  inline-block */
      }

   .podmenu-text
     {
        display: none;
        z-index: 1;
        position: relative;			/* puvodne relative */
     }

   .podmenu:hover .podmenu-text
     {display: block; transition-duration: 0.7s;}

   .podmenu:after .podmenu-text
     {display: block; transition-duration: 0.7s;}
